import { computed } from 'vue'
import type { Ref } from 'vue'
import { useStore } from 'vuex'

export default function () {
  const store = useStore()
  const menuColorConfig: Ref<any> = computed(() => {
    const { menuBgColour, menuFontColour, menuFontSelectColour } = store.getters.pageConfig
    return {
      backgroundColor: menuBgColour,
      textColor: menuFontColour,
      activeTextColor: menuFontSelectColour
    }
  })
  return {
    menuColorConfig
  }
}
